#include <list>
#include <iostream>

using namespace std;

int main()
{
    int a;
    cin >> a;
    int niz[2] = {0,0};
    int nizLista[200000];
    int vliste=0;
    for (int i = 0; i < a; i++)
    {
        niz[0] = niz[1];
        cin >> niz[1];
        if ((i > 0) && niz[0] > niz[1]) {
            nizLista[vliste] = i;
            vliste++;
        }
    }
    int b;
    cin >> b;
    for (int i = 0; i < b; i++)
    {
        int n;
        int m;
        bool jeste = true;
        bool ispucao = false;
        cin >> n >> m;
        int br = 0;
        
        for (int j = 0; (j < vliste); j++)
        {
            if (nizLista[j] > m - 1) {
                break;
            }
            if (ispucao && (nizLista[j] >= n)) {
                jeste = false;
                break;
            }
            if ((nizLista[j] >= n) && !ispucao) {
                ispucao = true;
            }
        }
        if (jeste)
            cout << "DA" << endl;
        else
            cout << "NE" << endl;
       
    }
}